Subject: Re: linux-next: manual merge of the kvm-ppc tree with the powerpc-merge tree

From: Timur Tabi <[email-masked]>
Date: Thu, 11 Oct 2012 10:55:42 -0500

Alexander Graf wrote:

> This is about kvm_host.h, which is the part that is exported to user
> space. It usually contains constants and structs that are required for
> the API.

Which API?  I'm not familiar with KVM internals.

My concern is that when I think of a user-space header file, I think of a
user-space application that calls ioctls.  I know that KVM guest kernels
run as user-space processes, but that does not seem like a reason to
combine all of the header files that the KVM guest kernel needs with
"real" user-space header files.

-- 
Timur Tabi
Linux kernel developer at Freescale